<?php

namespace Litecms\Service\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ServicesTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Service\Models\Services $services)
    {
        return [
            'id'                => $services->getRouteKey(),
            'key'               => [
                'public'    => $services->getPublicKey(),
                'route'     => $services->getRouteKey(),
            ], 
            'title'             => $services->title,
            'images'            => $services->images,
            'url'               => [
                'public'    => trans_url('service/'.$services->getPublicKey()),
                'user'      => guard_url('service/services/'.$services->getRouteKey()),
            ], 
            'status'            => trans('app.'.$services->status),
            'created_at'        => format_date($services->created_at),
            'updated_at'        => format_date($services->updated_at),
        ];
    }
}